version: '2.4'

services:
  java:
    build: 
      context: .
      dockerfile: src/main/docker/Dockerfile.native
    cpus: 0.5
    mem_limit: 64M

  db:
    image: postgres:12-alpine
    environment:
      POSTGRES_PASSWORD: superSecret
      POSTGRES_USER: user
      POSTGRES_DB: db

  jaeger:
    image: jaegertracing/all-in-one:1.15
